
Redmine - Feature #13072

Delete multiple attachments with one action

2013-02-04 07:48 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

Hi there,

in several tickets my workmates upload a lot of screenshots to a ticket which get updates now an then. In some cases the old

screenshots make no sense anymore and are deleted by the ticket owner.

Now the "problem": deleting 10 picture-attachments is quite some workload :-)

...not to mention the message-spam in the ticket.

Any chance that this will be possible in the future? (plugin or redmine-standard ... whatever)

Related issues:

Related to Redmine - Feature #16410: Bulk delete wiki attachments Closed

Related to Redmine - Defect #25794: Mass-deleted attachments are not represen... Closed

Related to Redmine - Defect #30125: Can't be distinguished when deleting mult... Confirmed

Has duplicate Redmine - Feature #19829: Delete multiple issue attachments at ... Closed

Has duplicate Redmine - Feature #4983: Support bulk deletion of attachments i... Closed 2010-03-04

Associated revisions

Revision 15650 - 2016-07-13 22:04 - Jean-Philippe Lang

Ability to delete multiple attachments while updating an issue (#13072).

History

#1 - 2013-02-04 09:52 - Etienne Massip

- Category set to Attachments

#2 - 2014-09-30 17:26 - Sven Culley

Would be a nice feature I would like too

#3 - 2014-10-01 15:36 - Fernando Hartmann

+1 !

#4 - 2015-03-08 08:23 - Go MAEDA

- Related to Feature #16410: Bulk delete wiki attachments added

#5 - 2015-06-12 12:57 - Toshi MARUYAMA

- Has duplicate Feature #19829: Delete multiple issue attachments at the same time in a transaction during editing added

#6 - 2016-02-15 19:08 - Jordan Piel

+1

#7 - 2016-03-17 06:48 - Sergey Utkin

+1

#8 - 2016-07-12 16:55 - Pierre Maigne
+1

We use incoming email, and some customers have a signature with many little logos and pictures that get attached to the issue. It would be easier if

we could removed them all at once.

Thank you

#9 - 2016-07-12 17:23 - Toshi MARUYAMA

Pierre Maigne wrote:

We use incoming email, and some customers have a signature with many little logos and pictures that get attached to the issue.

 You can use #3413.

#10 - 2016-07-13 22:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

- Resolution set to Fixed

Feature added in r15651. While updating an issue, you can now delete multiple attachments.

#11 - 2016-08-19 11:50 - Go MAEDA

- Has duplicate Feature #4983: Support bulk deletion of attachments in a issue added

#12 - 2017-05-09 10:51 - Mischa The Evil

- Related to Defect #25794: Mass-deleted attachments are not represented correctly in email notifications added

#13 - 2018-12-09 03:16 - Go MAEDA

- Related to Defect #30125: Can't be distinguished when deleting multiple attachments with the same file name in one action. added
